#include "stdafx.h"
#include "DynamicUnitRecord.h"
#include "UnitRecordManager.h"

DynamicUnitRecord::DynamicUnitRecord(BWAPI::Unit* unit)
  : UnitRecord(unit)
{
  m_currentUnitRecordType = UnitRecordManager::instantiate(this, unit->getType());
}